Problem Description

It has been discovered that the f:asset.css view helper is vulnerable to cross-site scripting when user input is passed as variables to the CSS.

Solution

Update to TYPO3 version 10.4.32 or 11.5.16 that fix the problem described above.

Credits

Thanks to TYPO3 contributor Frank Nägler who reported this issue and to TYPO3 core & security team member Oliver Hader who fixed the issue.

General Advice

Follow the recommendations that are given in the TYPO3 Security Guide. Please subscribe to the typo3-announce mailing list.

General Note

All security related code changes are tagged so that you can easily look them up in our review system.